'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _actions = require('../actions');

var profile = function profile() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : { logout: false };
  var action = arguments[1];

  switch (action.type) {
    case _actions.PROFILE_LOGOUT:
      return Object.assign({}, state, {
        logout: action.logout
      });
    default:
      return state;
  }
};

exports.default = profile;