'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactRedux = require('react-redux');

var _reactCfComponentAccountUserLogout = require('react-cf-component-account-user-logout');

var _reactCfComponentAccountUserLogout2 = _interopRequireDefault(_reactCfComponentAccountUserLogout);

var _actions = require('../actions');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var mapStateToProps = function mapStateToProps(state) {
  return {
    open: state.profile.logout
  };
};

var mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {
    onClose: function onClose(logout) {
      dispatch((0, _actions.profileLogout)(logout));
    }
  };
};

exports.default = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(_reactCfComponentAccountUserLogout2.default);