'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _actions = require('../actions');

var api = function api() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : { list: [], user: {} };
  var action = arguments[1];

  switch (action.type) {
    case _actions.RECEIVE_LIST:
      return Object.assign({}, state, {
        list: action.data
      });
    case _actions.RECEIVE_USER:
      return Object.assign({}, state, {
        user: action.data
      });
    default:
      return state;
  }
};

exports.default = api;