'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _actions = require('../actions');

var form = function form() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : { show: false, openLogout: false };
  var action = arguments[1];

  switch (action.type) {
    case _actions.TOGGLE:
      return Object.assign({}, state, {
        show: !state.show
      });
    case _actions.OPEN_LOGOUT:
      return Object.assign({}, state, {
        openLogout: action.open
      });
    default:
      return state;
  }
};

exports.default = form;